package tech.nevets.jaml.gui.panels;

import javax.swing.*;
import java.awt.Component;

public class ProfilePanel extends JPanel {
    public ProfilePanel() {
    	SpringLayout springLayout = new SpringLayout();
    	setLayout(springLayout);
    	
    	JComboBox profileDropDown = new JComboBox();
    	add(profileDropDown);
    	
    	Component dropDownGlue = Box.createGlue();
    	springLayout.putConstraint(SpringLayout.NORTH, profileDropDown, 0, SpringLayout.NORTH, dropDownGlue);
    	springLayout.putConstraint(SpringLayout.WEST, profileDropDown, -80, SpringLayout.WEST, dropDownGlue);
    	springLayout.putConstraint(SpringLayout.EAST, profileDropDown, 30, SpringLayout.WEST, dropDownGlue);
    	springLayout.putConstraint(SpringLayout.NORTH, dropDownGlue, 16, SpringLayout.NORTH, this);
    	springLayout.putConstraint(SpringLayout.WEST, dropDownGlue, 242, SpringLayout.WEST, this);
    	add(dropDownGlue);

    }
}
